Description: fix some spelling errors in manpage and source code.
Author: Joao Eriberto Mota Filho <eriberto@debian.org>
Reviewed-by: Giovani Augusto Ferreira <giovani@debian.org>
Last-Update: 2018-12-26

Index: hashrat/command-line-args.c
===================================================================
--- hashrat.orig/command-line-args.c
+++ hashrat/command-line-args.c
@@ -401,16 +401,16 @@ printf("  %-15s %s\n","-help", "Print th
 printf("  %-15s %s\n","-?", "Print this help");
 printf("  %-15s %s\n","--version", "Print program version");
 printf("  %-15s %s\n","-version", "Print program version");
-printf("  %-15s %s\n","-md5", "Use md5 hash algorithmn");
-printf("  %-15s %s\n","-sha1", "Use sha1 hash algorithmn");
-printf("  %-15s %s\n","-sha256", "Use sha256 hash algorithmn");
-printf("  %-15s %s\n","-sha512", "Use sha512 hash algorithmn");
-printf("  %-15s %s\n","-whirl", "Use whirlpool hash algorithmn");
-printf("  %-15s %s\n","-whirlpool", "Use whirlpool hash algorithmn");
-printf("  %-15s %s\n","-jh224", "Use jh-224 hash algorithmn");
-printf("  %-15s %s\n","-jh256", "Use jh-256 hash algorithmn");
-printf("  %-15s %s\n","-jh384", "Use jh-384 hash algorithmn");
-printf("  %-15s %s\n","-jh512", "Use jh-512 hash algorithmn");
+printf("  %-15s %s\n","-md5", "Use md5 hash algorithm");
+printf("  %-15s %s\n","-sha1", "Use sha1 hash algorithm");
+printf("  %-15s %s\n","-sha256", "Use sha256 hash algorithm");
+printf("  %-15s %s\n","-sha512", "Use sha512 hash algorithm");
+printf("  %-15s %s\n","-whirl", "Use whirlpool hash algorithm");
+printf("  %-15s %s\n","-whirlpool", "Use whirlpool hash algorithm");
+printf("  %-15s %s\n","-jh224", "Use jh-224 hash algorithm");
+printf("  %-15s %s\n","-jh256", "Use jh-256 hash algorithm");
+printf("  %-15s %s\n","-jh384", "Use jh-384 hash algorithm");
+printf("  %-15s %s\n","-jh512", "Use jh-512 hash algorithm");
 printf("  %-15s %s\n","-hmac", "HMAC using specified hash algorithm");
 printf("  %-15s %s\n","-8", "Encode with octal instead of hex");
 printf("  %-15s %s\n","-10", "Encode with decimal instead of hex");
@@ -460,9 +460,9 @@ printf("  %-15s %s\n","-fs", "Stay on on
 printf("  %-15s %s\n","-dir", "DirMode: Read all files in directory and create one hash for them!");
 printf("  %-15s %s\n","-dirmode", "DirMode: Read all files in directory and create one hash for them!");
 printf("  %-15s %s\n","-devmode", "DevMode: read from a file EVEN OF IT'S A DEVNODE");
-printf("  %-15s %s\n","-lines", "Read lines from stdin and hash each line independantly.");
-printf("  %-15s %s\n","-rawlines", "Read lines from stdin and hash each line independantly, INCLUDING any trailing whitespace. (This is compatible with 'echo text | md5sum')");
-printf("  %-15s %s\n","-rl", "Read lines from stdin and hash each line independantly, INCLUDING any trailing whitespace. (This is compatible with 'echo text | md5sum')");
+printf("  %-15s %s\n","-lines", "Read lines from stdin and hash each line independently.");
+printf("  %-15s %s\n","-rawlines", "Read lines from stdin and hash each line independently, INCLUDING any trailing whitespace. (This is compatible with 'echo text | md5sum')");
+printf("  %-15s %s\n","-rl", "Read lines from stdin and hash each line independently, INCLUDING any trailing whitespace. (This is compatible with 'echo text | md5sum')");
 printf("  %-15s %s\n","-cgi", "Run in HTTP CGI mode");
 printf("  %-15s %s\n","-net", "Treat 'file' arguments as either ssh or http URLs, and pull files over the network and then hash them (Allows hashing of files on remote machines).");
 printf("  %-15s %s\n","", "URLs are in the format ssh://[username]:[password]@[host]:[port] or http://[username]:[password]@[host]:[port]..");
Index: hashrat/hashrat.1
===================================================================
--- hashrat.orig/hashrat.1
+++ hashrat/hashrat.1
@@ -236,11 +236,11 @@ DevMode: read from a \fIfile\fP EVEN OF
 .TP
 .B
 \fB-lines\fP
-Read lines from stdin and \fIhash\fP each line independantly.
+Read lines from stdin and \fIhash\fP each line independently.
 .TP
 .B
 \fB-rl\fP, \fB-rawlines\fP
-Read lines from stdin and \fIhash\fP each line independantly, INCLUDING any trailing whitespace. This is compatible with 'echo text | md5sum'.
+Read lines from stdin and \fIhash\fP each line independently, INCLUDING any trailing whitespace. This is compatible with 'echo text | md5sum'.
 .TP
 .B
 \fB-cgi\fP
@@ -440,7 +440,7 @@ you use the 'echo' method shown above yo
 This reads lines from stdin, so type into \fBhashrat\fP and then press ENTER, and you'll be given the \fIhash\fP of the line you typed. By this method your password is neither
 visible in 'ps ax', nor is ever stored on disk.
 .PP
-A \fB-lines\fP will produce a different \fIhash\fP to the 'echo' method listed above, because it strips any trailing whiespace off the lines read. If you want strict compatiblity
+A \fB-lines\fP will produce a different \fIhash\fP to the 'echo' method listed above, because it strips any trailing whiespace off the lines read. If you want strict compatibility
 with 'echo' (by default echo adds a newline to the end of the text to output) then use rawlines mode:
 .PP
 .nf
@@ -555,7 +555,7 @@ The hookscript is called if a file is a
 
 .SH CGI Mode
 .PP
-If \fBhashrat\fP is run with the \fB-cgi\fP flag, or if it's run with a name of \fBhashrat.cgi\fP (either by renaming the \fBhashrat\fP executable, or via a symbolic link) it will output a webpage that allows users to look up \fIhashes\fP over the web. This allows to look-up your strong passwords even if you don't have access to a local version of \fBhashrat\fP.
+If \fBhashrat\fP is run with the \fB-cgi\fP flag, or if it's run with a name of \fBhashrat.cgi\fP (either by renaming the \fBhashrat\fP executable, or via a symbolic link) it will output a webpage that allows users to look up \fIhashes\fP over the web. This allows one to look-up your strong passwords even if you don't have access to a local version of \fBhashrat\fP.
 .PP
 CGI Mode can be configured using an options file. The file path is passed in the url, like this:
 .nf
@@ -570,13 +570,13 @@ HashType <type>      Type of hash to gen
 .TP
 Encoding <type>      Type of encoding to use for outputted hash
 .TP
-Line Ending <type>   Line ending to append to input text. This is for compatability with command-line usage with "-rawlines". Options are "none", "lf", "crlf" or "cr", meaning "none", "newline", "carriage-return newline" and "carriage-return" respectively.
+Line Ending <type>   Line ending to append to input text. This is for compatibility with command-line usage with "-rawlines". Options are "none", "lf", "crlf" or "cr", meaning "none", "newline", "carriage-return newline" and "carriage-return" respectively.
 .TP
 OutputLength <len>   Crop output hash to length len "len"
 .TP
 SegmentLength <len>  Break output up into segments of length "len"
 .TP
-SegmentChar <char>   Seperate output segments with character "char"
+SegmentChar <char>   Separate output segments with character "char"
 .TP
 NoOptions            Do not offer the user the options so they can change them. Just show an entry box to enter text.
 .TP
@@ -620,7 +620,7 @@ And using the \fB-txattr\fP flag to set
 
 .fam T
 .fi
-When checking either flag can be used, but \fBhashrat\fP will always use trusted attributes when running as root, if those are avaialable, otherwise it will fall
+When checking either flag can be used, but \fBhashrat\fP will always use trusted attributes when running as root, if those are available, otherwise it will fall
 back to user attributes.
 .PP
 .nf
Index: hashrat/README.md
===================================================================
--- hashrat.orig/README.md
+++ hashrat/README.md
@@ -50,17 +50,17 @@ OPTIONS
   -?              Print this help
   --version       Print program version
   -version        Print program version
-	-type <type>    Use hash algorithmn <type>. Types can be chained together as a comma-seperated list.
-  -md5            Use md5 hash algorithmn
-  -sha1           Use sha1 hash algorithmn
-  -sha256         Use sha256 hash algorithmn
-  -sha512         Use sha512 hash algorithmn
-  -whirl          Use whirlpool hash algorithmn
-  -whirlpool      Use whirlpool hash algorithmn
-  -jh224          Use jh-224 hash algorithmn
-  -jh256          Use jh-256 hash algorithmn
-  -jh384          Use jh-384 hash algorithmn
-  -jh512          Use jh-512 hash algorithmn
+	-type <type>    Use hash algorithm <type>. Types can be chained together as a comma-seperated list.
+  -md5            Use md5 hash algorithm
+  -sha1           Use sha1 hash algorithm
+  -sha256         Use sha256 hash algorithm
+  -sha512         Use sha512 hash algorithm
+  -whirl          Use whirlpool hash algorithm
+  -whirlpool      Use whirlpool hash algorithm
+  -jh224          Use jh-224 hash algorithm
+  -jh256          Use jh-256 hash algorithm
+  -jh384          Use jh-384 hash algorithm
+  -jh512          Use jh-512 hash algorithm
   -hmac           HMAC using specified hash algorithm
   -8              Encode with octal instead of hex
   -10             Encode with decimal instead of hex
Index: hashrat/tests/help.txt
===================================================================
--- hashrat.orig/tests/help.txt
+++ hashrat/tests/help.txt
@@ -22,16 +22,16 @@ Options:
   -?              Print this help
   --version       Print program version
   -version        Print program version
-  -md5            Use md5 hash algorithmn
-  -sha1           Use sha1 hash algorithmn
-  -sha256         Use sha256 hash algorithmn
-  -sha512         Use sha512 hash algorithmn
-  -whirl          Use whirlpool hash algorithmn
-  -whirlpool      Use whirlpool hash algorithmn
-  -jh224          Use jh-224 hash algorithmn
-  -jh256          Use jh-256 hash algorithmn
-  -jh384          Use jh-384 hash algorithmn
-  -jh512          Use jh-512 hash algorithmn
+  -md5            Use md5 hash algorithm
+  -sha1           Use sha1 hash algorithm
+  -sha256         Use sha256 hash algorithm
+  -sha512         Use sha512 hash algorithm
+  -whirl          Use whirlpool hash algorithm
+  -whirlpool      Use whirlpool hash algorithm
+  -jh224          Use jh-224 hash algorithm
+  -jh256          Use jh-256 hash algorithm
+  -jh384          Use jh-384 hash algorithm
+  -jh512          Use jh-512 hash algorithm
   -hmac           HMAC using specified hash algorithm
   -8              Encode with octal instead of hex
   -10             Encode with decimal instead of hex
